Show / Hide Table of Contents

Class PutDataFileRequest

Inheritance
object
PutDataFileRequest
Implements
IOciRequest
Inherited Members
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.ApmconfigService.Requests
Assembly: OCI.DotNetSDK.Apmconfig.dll
Syntax
public class PutDataFileRequest : IOciRequest
Examples

Click here to see an example of how to use PutDataFile request.

Properties

ApmDomainId

Declaration
[Required(ErrorMessage = "ApmDomainId is required.")]
[HttpConverter(TargetEnum.Query, "apmDomainId")]
public string ApmDomainId { get; set; }
Property Value
Type Description
string

The APM Domain ID the request is intended for.

Remarks

Required

ApmType

Declaration
[Required(ErrorMessage = "ApmType is required.")]
[HttpConverter(TargetEnum.Query, "apmType")]
public string ApmType { get; set; }
Property Value
Type Description
string

The type of the data file.

Remarks

Required

ContentDisposition

Declaration
[HttpConverter(TargetEnum.Header, "Content-Disposition")]
public string ContentDisposition { get; set; }
Property Value
Type Description
string

Optional parameter that provides presentation information for how the content should be displayed or handled by the recipient.
For example, to prompt a file download with a custom filename: attachment; filename=\"example.txt\"

ContentEncoding

Declaration
[HttpConverter(TargetEnum.Header, "Content-Encoding")]
public string ContentEncoding { get; set; }
Property Value
Type Description
string

Optional parameter indicating the content encodings applied to the request body (e.g., gzip, deflate). This value can be used by recipients to determine how to decode the content.

ContentLanguage

Declaration
[HttpConverter(TargetEnum.Header, "Content-Language")]
public string ContentLanguage { get; set; }
Property Value
Type Description
string

Optional parameter that indicates the natural language of the content. This value can be used by clients or intermediaries to select or display content based on language preferences.

ContentMD5

Declaration
[HttpConverter(TargetEnum.Header, "Content-MD5")]
public string ContentMD5 { get; set; }
Property Value
Type Description
string

Optional base64-encoded MD5 hash of the request body. If provided, the server will perform a data integrity check by computing the MD5 of the received content and comparing it to the supplied value.
If the values do not match, the request will be rejected with an HTTP 400 error and a message such as:
"The computed MD5 of the request body (ACTUAL_MD5) does not match the Content-MD5 header (HEADER_MD5)"

ContentType

Declaration
[HttpConverter(TargetEnum.Header, "Content-Type")]
public string ContentType { get; set; }
Property Value
Type Description
string

Optional parameter specifying the media type (MIME type) of the request or response body. If not specified, the default is application/octet-stream.
This value can be used by recipients to determine how to interpret or render the content.

DataFileName

Declaration
[Required(ErrorMessage = "DataFileName is required.")]
[HttpConverter(TargetEnum.Path, "dataFileName")]
public string DataFileName { get; set; }
Property Value
Type Description
string

The name of the data file.

Remarks

Required

Metadata

Declaration
[HttpConverter(TargetEnum.Header, "metadata")]
public string Metadata { get; set; }
Property Value
Type Description
string

A string containing a JSON-encoded object with metadata related to the uploaded file or resource. Example: {"fileName":"report.pdf","uploader":"jane.doe","category":"financial"}

OpcClientRequestId

Declaration
[HttpConverter(TargetEnum.Header, "opc-client-request-id")]
public string OpcClientRequestId { get; set; }
Property Value
Type Description
string

The client request ID for tracing.

OpcRetryToken

Declaration
[HttpConverter(TargetEnum.Header, "opc-retry-token")]
public string OpcRetryToken { get; set; }
Property Value
Type Description
string

A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.

PutDataFileBody

Declaration
[Required(ErrorMessage = "PutDataFileBody is required.")]
[HttpConverter(TargetEnum.Body)]
public Stream PutDataFileBody { get; set; }
Property Value
Type Description
Stream

The data file to be uploaded.

Remarks

Required

Implements

IOciRequest
In this article
Back to top